log4j.rootLogger=ERROR,DEBUG,INFO

log4j.appender.ERROR=org.apache.log4j.RollingFileAppender
log4j.appender.ERROR.File=D:/web/ffexe1.log
log4j.appender.ERROR.MaxFileSize=100MB
log4j.appender.ERROR.layout=org.apache.log4j.PatternLayout
log4j.appender.ERROR.layout.ConversionPattern= [LOG4J:] %d %l -%m%n

log4j.appender.INFO=org.apache.log4j.ConsoleAppender
log4j.appender.INFO.File=D:/web/ffexe2.log
log4j.appender.INFO.layout=org.apache.log4j.PatternLayout
log4j.appender.INFO.Target=System.out 
log4j.appender.INFO.layout.ConversionPattern= [LOG4J:] %d %l -%m%n

log4j.appender.DEBUG=org.apache.log4j.RollingFileAppender
log4j.appender.DEBUG.File=D:/web/ffexe.log
log4j.appender.DEBUG.MaxFileSize=100MB
log4j.appender.DEBUG.layout=org.apache.log4j.PatternLayout
log4j.appender.DEBUG.layout.ConversionPattern= [LOG4J:] %d %l -%m%n

#log4j.appender.logfile=org.apache.log4j.RollingFileAppender
#log4j.appender.logfile.File=D:/web/ffexe.log
#log4j.appender.logfile.MaxFileSize=10MB
#log4j.appender.logfile.layout=org.apache.log4j.PatternLayout
#log4j.appender.logfile.layout.ConversionPattern= [LOG4J:] %r %d %p [%c] - %m%n

log4j.appender.WARN=org.apache.log4j.ConsoleAppender
log4j.appender.WARN.layout=org.apache.log4j.PatternLayout
log4j.appender.WARN.Target=System.out 
log4j.appender.WARN.layout.ConversionPattern= [LOG4J:] %d %l-%m%n

# Control logging for other open source packages
#log4j.logger.com.neusoft=ERROR
#log4j.logger.com.opensymphony.oscache=ERROR
#log4j.logger.net.sf.navigator=ERROR
#log4j.logger.net.sf.ehcache=ERROR
#log4j.logger.org.acegisecurity=ERROR
#log4j.logger.org.acegisecurity.intercept.event.LoggerListener=ERROR
#log4j.logger.org.apache.catalina= ERROR
#log4j.logger.org.apache.jasper=ERROR
#log4j.logger.org.apache.commons=ERROR
#log4j.logger.org.apache.struts=ERROR
#log4j.logger.org.displaytag=ERROR
#log4j.logger.org.springframework=ERROR
#log4j.logger.com.ibatis.db=ERROR
#log4j.logger.org.apache.velocity=ERROR
#log4j.logger.org.tuckey.web.filters=ERROR

#self sysinfo
log4j.logger.com.system=INFO
# log4j.logger.com.ui=INFO
log4j.logger.recordfile=INFO
log4j.logger.testbatchfile=INFO
log4j.logger.bjFairy=INFO
log4j.logger.SocketServer=INFO
log4j.logger.UdpServer=INFO
log4j.logger.Hotline=INFO
log4j.logger.base=INFO
log4j.logger.base=ERROR
log4j.logger.base=DEBUG
# Don't show debug logs for WebTest
#log4j.logger.com.canoo.webtest=ERROR

# All hibernate log output of "info" level or higher goes to stdout.
# For more verbose logging, change the "info" to "debug" on the last line.
#log4j.logger.org.hibernate.ps.PreparedStatementCache=ERROR
#log4j.logger.org.hibernate=ERROR

# Changing the log level to DEBUG will result in Hibernate generated
# SQL to be logged.
#log4j.logger.org.hibernate.SQL=ERROR

# Changing the log level to DEBUG will result in the PreparedStatement
# bound variable values to be logged.
#log4j.logger.org.hibernate.type=ERROR

#	ConversionPattern\u53c2\u6570\u7684\u683c\u5f0f\u542b\u4e49 
#	%c \u8f93\u51fa\u65e5\u5fd7\u4fe1\u606f\u6240\u5c5e\u7684\u7c7b\u7684\u5168\u540d 
#	%d \u8f93\u51fa\u65e5\u5fd7\u65f6\u95f4\u70b9\u7684\u65e5\u671f\u6216\u65f6\u95f4\uff0c\u9ed8\u8ba4\u683c\u5f0f\u4e3aISO8601\uff0c\u4e5f\u53ef\u4ee5\u5728\u5176\u540e\u6307\u5b9a\u683c\u5f0f\uff0c\u6bd4\u5982\uff1a%d{yyy-MM-dd HH:mm:ss }\uff0c\u8f93\u51fa\u7c7b\u4f3c\uff1a2002-10-18- 22\uff1a10\uff1a28 
#	%f \u8f93\u51fa\u65e5\u5fd7\u4fe1\u606f\u6240\u5c5e\u7684\u7c7b\u7684\u7c7b\u540d 
#	%l \u8f93\u51fa\u65e5\u5fd7\u4e8b\u4ef6\u7684\u53d1\u751f\u4f4d\u7f6e\uff0c\u5373\u8f93\u51fa\u65e5\u5fd7\u4fe1\u606f\u7684\u8bed\u53e5\u5904\u4e8e\u5b83\u6240\u5728\u7684\u7c7b\u7684\u7b2c\u51e0\u884c 
#	%m \u8f93\u51fa\u4ee3\u7801\u4e2d\u6307\u5b9a\u7684\u4fe1\u606f\uff0c\u5982log(message)\u4e2d\u7684message 
#	%n \u8f93\u51fa\u4e00\u4e2a\u56de\u8f66\u6362\u884c\u7b26\uff0cWindows\u5e73\u53f0\u4e3a\u201crn\u201d\uff0cUnix\u5e73\u53f0\u4e3a\u201cn\u201d 
#	%p \u8f93\u51fa\u4f18\u5148\u7ea7\uff0c\u5373DEBUG\uff0cINFO\uff0cWARN\uff0cERROR\uff0cFATAL\u3002\u5982\u679c\u662f\u8c03\u7528debug()\u8f93\u51fa\u7684\uff0c\u5219\u4e3aDEBUG\uff0c\u4f9d\u6b64\u7c7b\u63a8 
#	%r \u8f93\u51fa\u81ea\u5e94\u7528\u542f\u52a8\u5230\u8f93\u51fa\u8be5\u65e5\u5fd7\u4fe1\u606f\u6240\u8017\u8d39\u7684\u6beb\u79d2\u6570 
#	%t \u8f93\u51fa\u4ea7\u751f\u8be5\u65e5\u5fd7\u4e8b\u4ef6\u7684\u7ebf\u7a0b\u540d
